Page MenuHomePhabricator

Release 5.3.4 1046
Closed, ResolvedPublic

Description

Release version: 5.3.4 1046
Release tag: releases/5.3.4
Release SHA1: aec1537a8458444fa5914b962306333a7a92fe51
App Store Submission Date: 01/06/2016
App Store Approval Date: 01/07/2016
App Store Release Date: 01/09/2016
Regression Testing URL: https://docs.google.com/a/wikimedia.org/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit?usp=drive_web


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l

Event Timeline

JMinor created this task.Jan 6 2017, 11:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2017, 11:08 PM
JMinor triaged this task as Normal priority.Jan 9 2017, 11:04 PM
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)Jan 9 2017, 11:07 PM
JMinor closed this task as Resolved.